clksignal(6)

NAME
clksignal - A latency-hating emulator of 8- and 16-bit platforms: the Acorn Electron, Amstrad CPC, Apple II/II+/IIe and early Macintosh, Atari 2600 and ST, ColecoVision, Commodore Vic-20, MSX 1, Oric 1/Atmos, Sega Master System and Sinclair ZX80/81.

SYNOPSIS
clksignal [file or --new={machine}] [OPTIONS] [--rompath={path to ROMs}] [--speed={speed multiplier, e.g. 1.5}] [--logical-keyboard] [--volume={0.0 to 1.0}]

DESCRIPTION
Clock Signal (CLK) is an emulator for tourists that seeks to be invisible. Users directly launch classic software with no emulator or per-emulated-machine learning curve. Releases are hosted on GitHub. On the Mac it is a native Cocoa application. Under Linux, BSD and other UNIXes and UNIX-alikes it relies upon SDL 2.

MACHINE TYPES

Required machine type and all options are determined from the file, if specified.

Otherwise specify a machine.

--new=machine
    Machine types are:
    - AmstradCPC
    - AppleII
    - AtariST
    - Electron
    - Macintosh
    - MSX
    - Oric
    - Vic20
    - ZX8081

UNIVERSAL OPTIONS

--rompath=path
    path is the path to the machine's ROM file

--speed=multiplier
    multiplier is the amount to accelerate the execution of the emulated machine. For example, 1.5 is 150% speed.

--logical-keyboard
    Enables the logical keyboard

--volume=level
    level is the volume multiplier, from 0.0 through 1.0, with 0 being mute, and 1.0 being full volume.

COLECOVISION OPTIONS

--output=type
    type is the video output format, either SVideo or CompositeColour.

SEGA MASTER SYSTEMS OPTIONS

--output=type
    type is the video output format, any one of:
    - RGB
    - SVideo
    - CompositeColour
    - CompositeMonochrome

--region=region
    region is the region of the system, any one of:
    - Japan
    - USA
    - Europe
    - Brazil

AMSTRAD CPC OPTIONS

--model=model
    model is the model of CPC being emulated, any one of:
    - CPC464
    - CPC664
    - CPC6128

--output=type
    type is the video output format, any one of:
    - RGB
    - CompositeColour

APPLE II OPTIONS

--disk-controller=controller
    controller is the version of disk controller being emulated, any one of:
    - None
    - SixteenSector
    - ThirteenSector

--model=model
    model is the model of Apple II being emulated, any one of:
    - II
    - IIplus
    - IIe
    - EnhancedIIe

--output=type
    type is the video output format, any one of:
    - CompositeColour
    - CompositeMonochrome

ATARI ST OPTIONS

--output=type
    type is the video output format, any one of:
    - RGB
    - CompositeColour

ACORN ELECTRON OPTIONS

--has-adfs

--has-dfs

--output=type
    type is the video output format, any one of:
    - RGB
    - CompositeColour
    - CompositeMonochrome

--quickload

APPLE MACINTOSH OPTIONS

--model=model
    model is the model of Macintosh being emulated, any one of:
    - Mac128k
    - Mac512k
    - Mac512ke
    - MacPlus

    --quickboot

MSX OPTIONS

--has-disk-drive

--output=type
    type is the video output format, any one of:
    - RGB
    - SVideo
    - CompositeColour
    - CompositeMonochrome

--quickload

--region=region
    region is the region of the system, any one of:
    - Japan
    - USA
    - Europe

ORIC OPTIONS

--disk-interface=type
    type is the type of disk interface, any one of:
    - None
    - Microdisk
    - Pravetz
    - Jasmin
    - BD500

--output=type
    type is the video output format, any one of:
    - RGB
    - SVideo
    - CompositeColour
    - CompositeMonochrome

--quickload

--rom=rom
    rom is the ROM version of the system, any one of:
    - BASIC10
    - BASIC11
    - Pravetz

VIC 20 OPTIONS

--enabled-ram.bank0

--enabled-ram.bank1

--enabled-ram.bank2

--enabled-ram.bank3

--enabled-ram.bank5

--has-c1540
    Indicates the presence of a Commodore 1540 disk drive

--output=type
    type is the video output format, any one of:
    - SVideo
    - CompositeColour

--quickload

--region=region
    region is the region of the system, any one of:
    - American
    - Danish
    - Japanese
    - European
    - Swedish

ZX80/81 OPTIONS

--ZX80-uses-ZX81-RPM

--automatic-tape-motor-control

--is-ZX81

--memory-model=model
    model is the memory model of the system, any one of:
    - Unexpanded
    - SixteenKB
    - SixtyFourKB

--quickload

BUGS
No known bugs.

AUTHOR
Thomas Harte (http://stackoverflow.com/users/427332/tommy)